# Klasse PatternOperation

java.lang.Object
org.apache.ant.props.RegexBasedEvaluator
org.apache.ant.props.stringops.PatternOperation

Alle implementierten Schnittstellen:
  `org.apache.tools.ant.PropertyHelper.Delegate, org.apache.tools.ant.PropertyHelper.PropertyEvaluator`

Bekannte direkte Unterklassen:
  `DeletePartOperation, ReplaceOperation`

public abstract class PatternOperation extends RegexBasedEvaluator
Abstract pattern-based operation.

## Konstruktorübersicht

Konstruktoren
Modifikator
Konstruktor
Beschreibung
`protected`
`PatternOperation(String regex)`
Construct a new PatternOperation.

## Methodenübersicht

Modifikator und Typ
Methode
Beschreibung
`protected void`
`convertToRegex(StringBuffer sb)`
Convert a *nix-style pattern to a regex pattern.
`protected void`
`convertToRegex(StringBuffer sb, boolean greedy)`
Convert a *nix-style pattern to a regex pattern.
`protected org.apache.tools.ant.util.regexp.Regexp`
`createRegexp(String pattern, org.apache.tools.ant.Project project)`
Create an Ant Regexp object.
`protected void`
`deEscape(char c, StringBuffer sb)`
De-escape a given character.
`protected String`
`toRegex(String pattern)`
Convert a *nix-style pattern to a regex pattern.
`protected String`
`toRegex(String pattern, boolean greedy)`
Convert a *nix-style pattern to a regex pattern.

### Von Klasse geerbte Methoden RegexBasedEvaluator

`addOption, evaluate, evaluate, getPattern, getRegularExpression, setPattern`

### Von Klasse geerbte Methoden Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Konstruktordetails

### PatternOperation

protected PatternOperation(String regex)
Construct a new PatternOperation.

## Methodendetails

### convertToRegex

protected void convertToRegex(StringBuffer sb)
Convert a *nix-style pattern to a regex pattern.

Parameter:
  `sb` - StringBuffer to convert.

### convertToRegex

protected void convertToRegex(StringBuffer sb, boolean greedy)
Convert a *nix-style pattern to a regex pattern.

Parameter:
  `sb` - StringBuffer to convert.
  `greedy` - whether to be greedy.

### toRegex

protected String toRegex(String pattern)
Convert a *nix-style pattern to a regex pattern.

Parameter:
  `pattern` - the *nix-style pattern.
Gibt zurück:
  String regex pattern.

### toRegex

protected String toRegex(String pattern, boolean greedy)
Convert a *nix-style pattern to a regex pattern.

Parameter:
  `pattern` - the *nix-style pattern.
  `greedy` - whether to be greedy.
Gibt zurück:
  String regex pattern.

### createRegexp

protected org.apache.tools.ant.util.regexp.Regexp createRegexp(String pattern, org.apache.tools.ant.Project project)
Create an Ant Regexp object.

Parameter:
  `pattern` - the regex pattern to use.
  `project` - the associated Project instance.
Gibt zurück:
  Regexp

### deEscape

protected void deEscape(char c, StringBuffer sb)
De-escape a given character.

Parameter:
  `c` - the character to "unmask".
  `sb` - the target StringBuffer.